Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.permissionsmanager
Class CPermissionsManagerServant

    java.lang.Object
      org.jasig.portal.channels.permissionsmanager.CPermissionsManager
          org.jasig.portal.channels.permissionsmanager.CPermissionsManagerServant

All Implemented Interfaces:
  ICacheable, IChannel, IServant

    public class CPermissionsManagerServant

extends CPermissionsManager
implements IServant

CPermissionsManagerServant is an IServant subclass of CPermissionsManager This will allow other channels to delegate to CPermissionsManager at runtime Master channels should instantiate this channel with the following staticData parameter preset: prmOwners = IPermissible[] owners where owners is an array with a single element being an instance of the master's representative IPermissible class. see org.jasig.portal.IPermissible for more information

Version:
  $Revision: 1.11 $
Author:
  Alex Vigdor

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`private IPermission[]` | `results`

Fields inherited from class org.jasig.portal.channels.permissionsmanager.CPermissionsManager
`session, sslLocation`

Constructor Summary
`CPermissionsManagerServant()` Creates new CPermissionsManagerServant

Method Summary
`java.lang.Object[]` | `getResults()` put your documentation comment here Currently returns and empy array
`boolean` | `isFinished()` put your documentation comment here
`void` | `setStaticData(ChannelStaticData sD)` put your documentation comment here
`protected void` | `transform(XSLT xslt)` put your documentation comment here

Methods inherited from class org.jasig.portal.channels.permissionsmanager.CPermissionsManager
`generateKey, getGroupServantResults, getRuntimeProperties, isCacheValid, populateMembers, prepServant, receiveEvent, renderXML, setRuntimeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### results

    private IPermission[] results

Constructor Detail

### CPermissionsManagerServant

    public CPermissionsManagerServant()

  Creates new CPermissionsManagerServant

Method Detail

### transform

    protected void transform(XSLT xslt)

  put your documentation comment here

  Overrides:
    `transform` in class `CPermissionsManager`
  Parameters:
    `xslt` -

### isFinished

    public boolean isFinished()

  put your documentation comment here

  Specified by:
    `isFinished` in interface `IServant`
  Returns:
    `true` if finished; `false` otherwise

### getResults

    public java.lang.Object[] getResults()

  put your documentation comment here Currently returns and empy array

  Specified by:
    `getResults` in interface `IServant`
  Returns:
    the results

### setStaticData

    public void setStaticData(ChannelStaticData sD)

  Description copied from class: `CPermissionsManager`
  put your documentation comment here

  Specified by:
    `setStaticData` in interface `IChannel`
  Overrides:
    `setStaticData` in class `CPermissionsManager`
  Parameters:
    `sD` - channel static data
  See Also:
    `ChannelStaticData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD